---
- name: Dependencies installed
  community.general.pkgng:
    name: "snapcast py38-gstreamer1 gstreamer1-plugins-lame gstreamer1-plugins-good gstreamer1-plugins-bad gstreamer1-plugins-mpg123 gstreamer1-plugins-mpg123 gstreamer1-plugins-shout2 gstreamer1-plugins-flac gstreamer1-plugins-inspect gstreamer1-plugins-soup"
    state: latest

- name: Snapserver immortal file installed
  copy:
    src: immortal.yml
    dest: /usr/local/etc/immortal/snapserver.yml
    owner: root
    mode: 0600
  notify: Immortal restarted
